net.minecraft.network.play.client

## Class C03PacketPlayer.C06PacketPlayerPosLook

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.client.C03PacketPlayer
    - - net.minecraft.network.play.client.C03PacketPlayer.C06PacketPlayerPosLook

- Enclosing class:
    C03PacketPlayer

      public static class C03PacketPlayer.C06PacketPlayerPosLook
      extends C03PacketPlayer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.network.play.client.C03PacketPlayer

      `C03PacketPlayer.C04PacketPlayerPosition, C03PacketPlayer.C05PacketPlayerLook, C03PacketPlayer.C06PacketPlayerPosLook`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.network.play.client.C03PacketPlayer

      `field_149473_f, field_149474_g, field_149475_d, field_149476_e, field_149477_b, field_149478_c, field_149479_a, field_149480_h, field_149481_i`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `C03PacketPlayer.C06PacketPlayerPosLook()`
    `C03PacketPlayer.C06PacketPlayerPosLook(double p_i45254_1_, double p_i45254_3_, double p_i45254_5_, double p_i45254_7_, float p_i45254_9_, float p_i45254_10_, boolean p_i45254_11_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.play.client.C03PacketPlayer

      `func_149462_g, func_149463_k, func_149464_c, func_149465_i, func_149466_j, func_149467_d, func_149469_a, func_149470_h, func_149471_f, func_149472_e, processPacket`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### C03PacketPlayer.C06PacketPlayerPosLook

          public C03PacketPlayer.C06PacketPlayerPosLook()

    - #### C03PacketPlayer.C06PacketPlayerPosLook

          public C03PacketPlayer.C06PacketPlayerPosLook(double p_i45254_1_,
                                                double p_i45254_3_,
                                                double p_i45254_5_,
                                                double p_i45254_7_,
                                                float p_i45254_9_,
                                                float p_i45254_10_,
                                                boolean p_i45254_11_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Overrides:
        `readPacketData` in class `C03PacketPlayer`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Overrides:
        `writePacketData` in class `C03PacketPlayer`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Overrides:
        `processPacket` in class `C03PacketPlayer`